export default {
  props: {
    model: {
      required: true
    },
    // is that needed?
    mask: {
      type: String,
      default: ''
    },
    limit: Number,
    default: {
      required: false
    }
  },
  data () {
    return {
      fieldModel: this.model
    }
  },
  watch: {
    model (val) {
      this.fieldModel = val
      // this.updateCheckbox()
      this.$emit('touch', this.name)
    },
    fieldModel () {
      this.emit(this.type + ': ' + JSON.stringify(this.fieldModel))
    }
  },
  created () {
    this.fieldModel = this.model
  }
}
